=== python/requirements.txt ===
protobuf==4.22.3
