=== debian/changelog ===
golang-github-in-toto-attestation (1.1.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 13 Nov 2024 08:32:34 +0100

golang-github-in-toto-attestation (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1085856)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Oct 2024 22:46:45 +0000
