=== debian/control ===
Source: golang-github-in-toto-attestation
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
 golang-google-protobuf-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation.git
Homepage: https://github.com/in-toto/attestation
XS-Go-Import-Path: github.com/in-toto/attestation

Package: golang-github-in-toto-attestation-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: in-toto Attestation Framework (Go library)
 The in-toto Attestation Framework provides a specification for generating
 verifiable claims about any aspect of how a piece of software is
 produced. Consumers or users of software can then validate the origins
 of the software, and establish trust in its supply chain, using in-toto
 attestations.
