=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	rm -rfv $(CURDIR)/debian/golang-github-in-toto-attestation-dev/usr/bin
