## golang-github-in-toto-attestation 1.1.1

=== debian/changelog ===
golang-github-in-toto-attestation (1.1.1-1) unstable; urgency=medium

  * d/salsa-ci: Build rdeps.
  * New upstream version 1.1.1
  * Use --no-binaries to avoid /usr/bin's.
  * Run go generate.
  * Bump debian/* copyright years.
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Apr 2025 23:15:01 +0200
