=== debian/changelog ===
golang-github-in-toto-attestation (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Aug 2025 15:28:14 +0200
