=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  golang-github-stretchr-testify-dev,
  golang-google-protobuf-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation.git
 Homepage: https://github.com/in-toto/attestation
